Subject: Re: bug#30350: Build breakage of master on MacOS 10.13

From: Alan Third <[email-masked]>
Date: Tue, 6 Feb 2018 18:56:10 +0000

On Tue, Feb 06, 2018 at 04:27:40PM +0100, Mikhail Gusarov wrote:
> Yes, it is. I can't find the relevant sources right away, but opening a
> file inside a file is a syntax for opening  resource forks under OS X,
> so `/foo/bar/baz/.` is a "directory" of resource forks there. This
> syntax is not likely to go away anytime soon.

Hmm, perhaps this method of checking for a directory just won’t ever
work reliably on macOS then.
-- 
Alan Third